Editing Hatch Boundaries

Discussion in 'AutoCAD' started by David Wilkinson, Jul 9, 2003.

  1. I am trying to create a routine to add items such as text, closed polylines
    and blocks to an existing hatch.
    I have got the text and polylines sorted but am stuck on adding blocks to
    the innerloop of a hatch.
    The following code works for text/polylines in VBA

    ThisDrawing.Utility.GetEntity innerLoop1(0), varPoint, "Select
    entity to add to Hatch"
    objHatch.AppendInnerLoop innerLoop1
    objHatch.Evaluate

    I am wondering if someone can point me to a way of adding a block to the
    inner hatch boundary using VBA or lisp

    Thanks

    David
     
    David Wilkinson, Jul 9, 2003
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.